# Origin Post Quantum Encryption ## Get Origin Post-Quantum Encryption setting `client.originPostQuantumEncryption.get(OriginPostQuantumEncryptionGetParamsparams, RequestOptionsoptions?): OriginPostQuantumEncryptionGetResponse` **get** `/zones/{zone_id}/cache/origin_post_quantum_encryption` Instructs Cloudflare to use Post-Quantum (PQ) key agreement algorithms when connecting to your origin. Preferred instructs Cloudflare to opportunistically send a Post-Quantum keyshare in the first message to the origin (for fastest connections when the origin supports and prefers PQ), supported means that PQ algorithms are advertised but only used when requested by the origin, and off means that PQ algorithms are not advertised. ### Parameters - `params: OriginPostQuantumEncryptionGetParams` - `zone_id: string` Identifier. ### Returns - `OriginPostQuantumEncryptionGetResponse` - `id: "origin_pqe"` The identifier of the caching setting. - `"origin_pqe"` - `editable: boolean` Whether the setting is editable. - `value: "preferred" | "supported" | "off"` Value of the Origin Post Quantum Encryption Setting. - `"preferred"` - `"supported"` - `"off"` - `modified_on?: string | null` Last time this setting was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const originPostQuantumEncryption = await client.originPostQuantumEncryption.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(originPostQuantumEncryption.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "origin_pqe", "editable": true, "value": "preferred", "modified_on": "2014-01-01T05:20:00.12345Z" } } ``` ## Change Origin Post-Quantum Encryption setting `client.originPostQuantumEncryption.update(OriginPostQuantumEncryptionUpdateParamsparams, RequestOptionsoptions?): OriginPostQuantumEncryptionUpdateResponse` **put** `/zones/{zone_id}/cache/origin_post_quantum_encryption` Instructs Cloudflare to use Post-Quantum (PQ) key agreement algorithms when connecting to your origin. Preferred instructs Cloudflare to opportunistically send a Post-Quantum keyshare in the first message to the origin (for fastest connections when the origin supports and prefers PQ), supported means that PQ algorithms are advertised but only used when requested by the origin, and off means that PQ algorithms are not advertised. ### Parameters - `params: OriginPostQuantumEncryptionUpdateParams` - `zone_id: string` Path param: Identifier. - `value: "preferred" | "supported" | "off"` Body param: Value of the Origin Post Quantum Encryption Setting. - `"preferred"` - `"supported"` - `"off"` ### Returns - `OriginPostQuantumEncryptionUpdateResponse` - `id: "origin_pqe"` The identifier of the caching setting. - `"origin_pqe"` - `editable: boolean` Whether the setting is editable. - `value: "preferred" | "supported" | "off"` Value of the Origin Post Quantum Encryption Setting. - `"preferred"` - `"supported"` - `"off"` - `modified_on?: string | null` Last time this setting was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const originPostQuantumEncryption = await client.originPostQuantumEncryption.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', value: 'preferred', }); console.log(originPostQuantumEncryption.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "origin_pqe", "editable": true, "value": "preferred", "modified_on": "2014-01-01T05:20:00.12345Z" } } ``` ## Domain Types ### Origin Post Quantum Encryption Get Response - `OriginPostQuantumEncryptionGetResponse` - `id: "origin_pqe"` The identifier of the caching setting. - `"origin_pqe"` - `editable: boolean` Whether the setting is editable. - `value: "preferred" | "supported" | "off"` Value of the Origin Post Quantum Encryption Setting. - `"preferred"` - `"supported"` - `"off"` - `modified_on?: string | null` Last time this setting was modified. ### Origin Post Quantum Encryption Update Response - `OriginPostQuantumEncryptionUpdateResponse` - `id: "origin_pqe"` The identifier of the caching setting. - `"origin_pqe"` - `editable: boolean` Whether the setting is editable. - `value: "preferred" | "supported" | "off"` Value of the Origin Post Quantum Encryption Setting. - `"preferred"` - `"supported"` - `"off"` - `modified_on?: string | null` Last time this setting was modified.